/******************************************************************************/
/* SlunkCrypt, by LoRd_MuldeR <MuldeR2@GMX.de>                                */
/* This work has been released under the CC0 1.0 Universal license!           */
/******************************************************************************/

/* Internal */
#include "debug.h"

#if defined(_WIN32)
#  define WIN32_LEAN_AND_MEAN 1
#  include <Windows.h>
#elif defined(__linux__) || defined(__FreeBSD__) || defined(__DragonFly__) || defined(__NetBSD__) || defined(__OpenBSD__)
#  include <syslog.h>
#endif

void slunkcrypt_debug_print(const char* const message)
{
#if defined(_WIN32)
	OutputDebugStringA(message);
#elif defined(__linux__) || defined(__FreeBSD__) || defined(__DragonFly__) || defined(__NetBSD__) || defined(__OpenBSD__)
	syslog(LOG_DEBUG, "%s", message);
#endif
}
